Jump to content


Photo

Widget Problems


  • Please log in to reply
10 replies to this topic

#1 kledgister

kledgister

    Member

  • Members
  • Pip
  • 3 posts

Posted 01 August 2005 - 10:41 PM

When I try to use the widget, I get:

ERR. Accordance 6.7 got an error. Connection is invalid.

I've tried deleting the widget and reinstalling it. When I search, it opens up Accordance 6.7 and then crashes Accordance immediately and the widget returns the above error.

Any ideas?

#2 Helen Brown

Helen Brown

    Mithril

  • Admin
  • 7,973 posts
  • Gender:Female
  • Location:heart in Israel
  • Accordance Version:10.x

Posted 02 August 2005 - 06:58 AM

We did beta test the widget, but obviously we could not test it on every kind of set up. Please give us some more information:

Where is your Accordance program? What is the name of the folder it is in?

Are you sure it is crashing Accordance, not just hiding it?

To reload the widget if command-R does not help:
Try closing that instance of the widget (hold the option-key down and mouse over it, then click the black 'x' in the top left corner), then creating a new one from the Dashboard bar. Then select Accordance in the Finder dialog.

You can try this if reloading the widget does not work:
To completely start over with the widget, remove any Accordance widgets from the dashboard, remove the file called widget-com.oaktree.widget.Accordance.plist from ~/Library/Preferences/, then reload the widget.

There is a document on your desktop called simply Widget Read Me, with instructions and tips for the widget. We will rename this to Accordance Widget Read Me since I gather many people are missing it.
Helen Brown
OakTree Software

#3 kledgister

kledgister

    Member

  • Members
  • Pip
  • 3 posts

Posted 02 August 2005 - 08:39 AM

My Accordance application is in \Applications\Accordance Folder and I'm running OS X 10.4.2. I tried moving the Accordance folder to the root directory but that didn't work either.

Accordance works fine by itself. I did read through the Widget Read Me file (nicely done, btw) to verify settings. I have repaired permissions after the install just in case and rebooted as well. I also tried deleting the preference file and reloading the widget. My user has administrative rights.

When Accordance crashes and the crash dialog box appears, if I click Report it does not give me a report at all otherwise I would copy it here. The Copy function on the widget does work as the error below was grabbed using that function.


??

#4 kledgister

kledgister

    Member

  • Members
  • Pip
  • 3 posts

Posted 02 August 2005 - 04:39 PM

Thanks to the fine folks at Accordance this problem has been resolved. Apparently my KJV version is out of date (the file, not the text) for the widget to work. Once I set the order of versions to a newer one in Edit>Edit Modules>Texts and changed the widget to the same text, it worked fine.

#5 Ed Cross

Ed Cross

    Bronze

  • Active Members
  • PipPip
  • 90 posts
  • Gender:Male
  • Location:Attleboro, MA
  • Interests:King James Bible

Posted 03 August 2005 - 07:55 AM

I seem to be having a similar problem. The widget is saying my KJV text version is too old. How do I get a newer text version?

#6 Helen Brown

Helen Brown

    Mithril

  • Admin
  • 7,973 posts
  • Gender:Female
  • Location:heart in Israel
  • Accordance Version:10.x

Posted 03 August 2005 - 08:24 AM

Yes, the crash was due to attempts to access older Bible text modules. These older modules do not support other Accordance features, such as displaying the verse in the Instant Details box when the cursor is over a verse reference in a tool. The latest version posted last night no longer crashes -- it informs you of the problem.

All our Bibles have been updated since 2003, but many were OK earlier. Basically if a Bible text is only 4MB it has not been updated. Unfortunately, the KJV in the current Starter package is an old module, and we need to update that, but the WEB module is OK.

If you have either the Library 6 or the Scholar's 6 you will also have the Bible Unlock CD, and running that at Standard level will update all unlockable Bibles. The KJV itself is updated on the Scholar's 6. If you have Library 6 you should use the KJVS (with Strong's numbers), and remove the plain KJV.

If you have no newer texts, you will need to upgrade the CD-ROMs.
Helen Brown
OakTree Software

#7 Ed Cross

Ed Cross

    Bronze

  • Active Members
  • PipPip
  • 90 posts
  • Gender:Male
  • Location:Attleboro, MA
  • Interests:King James Bible

Posted 03 August 2005 - 10:06 AM

I do have the starter version with the old KJV text. How do I go about getting a CD replacement?

I was able to get the widget to work with the WEB, but as I only use the KJV it will be of little use to me until there is a replacement KJV text.

I did notice that there is still a lack of formatting options as far as being able to include the verse numbers in the text, this is a pity and makes the widget just another unuseable feature for me.

I guess it's back to sitting and waiting!

#8 Helen Brown

Helen Brown

    Mithril

  • Admin
  • 7,973 posts
  • Gender:Female
  • Location:heart in Israel
  • Accordance Version:10.x

Posted 03 August 2005 - 11:06 AM

If you only have the Starter you can wait for us to update it, or you can invest the princely sum of $20 plus shipping to get the Library 6 Introductory level which includes the KJVS and many additional modules plus your choice of one modern Bible such as the NKJV.

No the widget does not offer many formatting options, just verses with the references or the citation with the references at the end. The widget is meant to be simple, all the options are available if you copy and paste from Accordance.
Helen Brown
OakTree Software

#9 Ed Cross

Ed Cross

    Bronze

  • Active Members
  • PipPip
  • 90 posts
  • Gender:Male
  • Location:Attleboro, MA
  • Interests:King James Bible

Posted 04 August 2005 - 03:22 PM

I will wait for the Starter update, at this point in time I don't want to invest any more money into any Mac Bible software program that does not have flexible copy and paste options like most of my windows programs do. David Lang knows the options that I am speaking of which would have included an option to include the verses numbers within a citation.

It is hard to believe that this functionality is so hard to come by when it is so readily available on the Windows platform.

Pastor Ed Cross

#10 Helen Brown

Helen Brown

    Mithril

  • Admin
  • 7,973 posts
  • Gender:Female
  • Location:heart in Israel
  • Accordance Version:10.x

Posted 09 August 2005 - 03:25 PM

OK, Ed, just for you we have updated the Starter package with a newer KJV module that supports features such as the Instant Details display of a verse reference in tools, and the Widget. Click here to download it.

As for more flexible copy-and-paste, we'll consider your ideas for version 7.
Helen Brown
OakTree Software

#11 Ed Cross

Ed Cross

    Bronze

  • Active Members
  • PipPip
  • 90 posts
  • Gender:Male
  • Location:Attleboro, MA
  • Interests:King James Bible

Posted 11 August 2005 - 06:58 AM

“If ye then be risen with Christ, seek those things which are above, where Christ sitteth on the right hand of God. Set your affection on things above, not on things on the earth. For ye are dead, and your life is hid with Christ in God.”
(Col. 3:1-3, KJV)

Thanks Helen,

Downloaded the new text and the widget is working fine, except for the lack of verse denotation as we have discussed.

Now if we only had control of the format of the "copy as citation" from within Accordance so we could set our own default citation layout, the widget would be perfect.

Any idea of a rough time frame as to when version 7 might be coming out? It will help us to plan our software investments.

Pastor Ed Cross




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users